<table class="table" id="surveys">
 <thead>
  <tr>
    <th>ID</th>
    <th>Fecha de registro</th>
    <th>Hora de registro</th>
    <th>Departamento de registro</th>
    <th>Ciudad de registro</th>
    <th>Dirección</th>
    <th>Latitude</th>
    <th>Longitude</th>
    <th>OpenStreetMap</th>
    <th>ID usuario</th>

    <th>ID de registro</th>
    <th>Parentesco</th>
    <th>Sexo</th>
    <th>Edad</th>
    <th>Grupo etário</th>
    <th>Pais de residencia</th>
    <th>Departamento de residencia</th>
    <th>Ciudad de residencia</th>
    <th>Raza</th>

    <th>Estado de salud</th>
    <th>Días con síntomas</th>
    <% @symptoms.each do |key, symptom| %>
      <th><%= symptom["name"] %></th>
    <% end %>
    <th>Contacto con enfermo</th>
    <th>Búsqueda IPS</th>
    <th>Antecedente de viaje</th>
    <th>País donde estuvo</th>
    <th>Departamento donde estuvo</th>
    <th>Ciudad donde estuvo</th>

    <% @diseases.each do |key, disease| %>
      <th><%= disease["name"] %></th>
    <% end %>
  </tr>
 </thead>
 <tbody>
   <% @surveys.each do |key, survey| %>
     <% alert = "table-success" %>
     <% alert = "table-danger" if survey["isGoodReport"] == false %>
     <tr class="<%= alert %>">
        <td><%= key %></td>
        <td><%= DateTime.parse(survey["createdAt"]).strftime("%d/%m/%Y") %></td>
        <td><%= DateTime.parse(survey["createdAt"]).strftime("%H:%M") %></td>
        <td><%= survey["state"] %></td>
        <td><%= survey["city"] %></td>
        <td><%= survey["formattedAddress"] %></td>
        <td><%= survey["lat"] %></td>
        <td><%= survey["lon"] %></td>
        <td><%= link_to get_map_link(survey["lat"],survey["lon"]), get_map_link(survey["lat"],survey["lon"]), target: :_blank %></td>
        <% if survey["profile"] %>
          <td><%= survey["userID"] %></td>
          <td><%= survey["profile"]["id"] %></td>
          <td><%= survey["profile"]["relationship"] %></td>
          <td><%= survey["profile"]["gender"] %></td>
          <td><%= survey["profile"]["age"] %></td>
          <td><%= survey["profile"]["ageGroup"] %></td>
          <td><%= survey["profile"]["country"] %></td>
          <td><%= survey["profile"]["state"] %></td>
          <td><%= survey["profile"]["city"] %></td>
          <td><%= survey["profile"]["race"] %></td>
        <% else %>
          <td>INVALIDO</td>
          <td>INVALIDO</td>
          <td>INVALIDO</td>
          <td>INVALIDO</td>
          <td>INVALIDO</td>
          <td>INVALIDO</td>
          <td>INVALIDO</td>
          <td>INVALIDO</td>
          <td>INVALIDO</td>
          <td>INVALIDO</td>
        <% end %>
        <td><%= survey["isGoodReport"] == true ? "Bien" : "Mal" %></td>
        <td><%= survey["isGoodReport"] == true ? "N/A" : get_days_difference(survey["createdAt"], survey["report"]["startDate"]) %></td>
        <% @symptoms.each do |key, symptom| %>
          <% if survey["isGoodReport"] == true %>
            <td>N/A</td>
          <% else %>
            <td><%= survey["report"]["symptoms"][key].blank? ? 'No' : 'Si' %></td>
          <% end %>
        <% end %>
        <td><%= survey["report"]["hadContagiousContact"] %></td>
        <td><%= survey["report"]["hadHealthCare"] %></td>
        <td><%= survey["report"]["hadTravelledAbroad"] %></td>
        <td><%= survey["report"]["originCountry"] %></td>
        <td><%= survey["report"]["originState"] %></td>
        <td><%= survey["report"]["originCity"] %></td>
        <% @diseases.each do |key, disease| %>
          <td><%= survey["isGoodReport"] == true ? "N/A" : get_diagnostic(disease, survey) %></td>
        <% end %>
     </tr>
   <% end %>
 </tbody>
</table>

<script>
$.urlParam = function(name){
    var results = new RegExp('[\?&]' + name + '=([^]*)').exec(window.location.href);
    if (results==null){
       return null;
    }
    else{
       return results[1] || null;
    }
}
$(document).ready(function(){
    var table = $('#surveys').DataTable({
      "lengthMenu": [[25, 50, 75, 100, -1], [25, 50, 75, 100, 'All']],
      "order": [],
      "stateSave": true,
      "dom": 'l&nbsp;Bfrtip',
      "buttons": [ { extend: 'copy', className: 'btn btn-primary' },
                 { extend: 'csv', className: 'btn btn-primary' },
                 { extend: 'excel', className: 'btn btn-primary' },
                 { extend: 'pdf', className: 'btn btn-primary' },
                 { extend: 'print', className: 'btn btn-primary' },]
    });
    var searchParam = $.urlParam("s");
    if(searchParam != null) {
      table.search(searchParam).draw();
    }
});
</script>
